'--------------------------------------------
'Author      : Dr. Fritz Faulhaber GmbH & Co. KG
'Date        : 29.03.2016
'--------------------------------------------
'Description : Block detection
'
'Sequence program for controllers of the family MC V3.x 
'--------------------------------------------

'Initialization
SETOBJ $6040.00 = $06                                                    'Shutdown
SETOBJ $6040.00 = $07                                                    'Switch On
SETOBJ $6040.00 = $0F                                                    'Enable Operation
SETOBJ $6060.00 = 3                                                      'Profile Velocity Mode
SETOBJ $60E0.00 = 1000                                                   'Positive Torque Limit(1000 => continuous current of the motor)
SETOBJ $60E1.00 = 1000                                                   'Negative Torque Limit(1000 => continuous current of the motor)
EN_EVT ($00004000)|($00002000), Evtblockdetection                        'Overcurrent activated or Voltage limit activated
SETOBJ $60FF.00 = 100                                                    'Motor speed 100 rpm

'MainLoop
:MainLoop
GOTO MainLoop

'Overcurrent/Voltage limit interrupt
:Evtblockdetection                                                       'Overcurrent or Voltage limit interrupt
SETOBJ $60FF.$00 = 0                                                     'stop the movement
RET_EVT


